# Majestic Bank CLI application
Majestic Bank CLI application made in pure Python.

[MB site](https://majestictfvnfjgo5hqvmuzynak4kjl5tjs3j5zdabawe6n2aaebldad.onion/) • [my site](https://notmtth.xyz) • [MB PGP key](https://majestictfvnfjgo5hqvmuzynak4kjl5tjs3j5zdabawe6n2aaebldad.onion/pgp.txt) • [MB signed mirrors](https://majestictfvnfjgo5hqvmuzynak4kjl5tjs3j5zdabawe6n2aaebldad.onion/mirrors.txt)

## Python dependencies

```
typer
httpx
python-dotenv
rich
inquirerpy
socksio
```

## Installation

### Recommended (auto-installation)

`pip install mb-cli`

### Manual

Git clone the repo:

`git clone https://codeberg.org/notmtth/mb-cli.git && cd mb-cli`

Install __Poetry__ and all the dependencies:

`pip install poetry && poetry install`

Build using __Poetry__:

`poetry build && cd dist`

Install the build locally:

`pip install --user mb_cli<...>.whl`

## Tor

The app is meant to be used with both Tor and the clearnet, obviously using 
a proxy is always highly recommended for your anonymity.

`--proxy` flag can be used after every **exchange** related command:

```
$ mb-cli exchange rates --help
                                                                                                                                                                                                           
 Usage: mb-cli exchange rates [OPTIONS]                                                                                                                                                                    
                                                                                                                                                                                                           
 Show rates and exit.                                                                                                                                                                                      
 Put --proxy to use Tor.                                                                                                                                                                                   
                                                                                                                                                                                                           
╭─ Options ────────────────────────────────────────────────────╮
│  --proxy  -p        Toggle Tor proxy. [default: True]        │
│  --help             Show this message and exit.              │
╰──────────────────────────────────────────────────────────────╯
```

## Personalization

You can change some settings all contained in the `.env` file: 

### Clearnet domain

(as there is only one onion, always verify links @ /mirrors.txt with their pgp)

```
CLEAR_DOMAIN='https://majesticbank.sc/api/v1'
```

### Proxy 

```
TOR_PROXY='socks5://127.0.0.1:9050'
```

### Referral

```
MB_REFERRAL='kvqi8Q'
```

This code can be obtained by creating an account on their website, it gives me a % 
when creating an order, so if you want to support me leave it as it is.
It can't be blank *(check api.py, line 38)* so, if you want to change it you can get your own.

## Donations

Monero:

```
4ASpDUymEkgcBBDoqp7HFs2xqiTuddJzbhvHmSVQWdt51mbbtxjMWP4LwvbYk6xqTDNnj9FyvSRGqMvRYxWuKyALJbf8265
```

Wownero:

```
WW2jekePGc7UoK7wqvJPUs9fBW6ocUwzCTymuedUr47rFVJ18yERWT7M4Sn35QQae94TT2TvpCydYLgsAHVLftNa2nr73rtmS
```

## TODO

- [ ] Ascii qr codes for addresses in create order / track
- [ ] More...

Suggestions are welcome :D